Bug 507490 - Garbled text terminal display
Garbled text terminal display
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 20:17 EDT by D. E. Evans
Modified: 2009-12-01 15:17 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-01 15:17:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/dmesg (51.02 KB, application/octet-stream)
2009-08-19 17:49 EDT, D. E. Evans
no flags Details
Kickstart used to install test machine (3.32 KB, application/octet-stream)
2009-08-19 17:50 EDT, D. E. Evans
no flags Details
Xorg.0.log upon xinit after install (43.12 KB, application/octet-stream)
2009-08-19 17:51 EDT, D. E. Evans
no flags Details
Xorg.0.log after Xorg -confgure: Xorg -config /root/xorg.conf.new (25.28 KB, application/octet-stream)
2009-08-19 17:52 EDT, D. E. Evans
no flags Details
Xorg.0.log upon xinit after install, and configure (no options selected: defaults to nv), of system-config-display (25.10 KB, application/octet-stream)
2009-08-19 17:54 EDT, D. E. Evans
no flags Details

  None (edit)
Description D. E. Evans 2009-06-22 20:17:25 EDT
Description of problem:  From startx (init 3), or init 5, with framebuffer enabled (I haven't tested with it disabled: vga=792) on a t61p, when X is running I get garbled (wavey line) display on text terminal (it is usable, but only typing blindly).

Steps to Reproduce:
1. Nvidia Quadro FX 570M
2. Nouveau driver (with or without xorg.conf)
3. From runlevel 3, run startx, or init 5 (with gdm)
4. Switch with C-M-Del-F{2..6} to text terminal

Actual results: Garbled display on text terminal

Expected results: Text terminal Login prompt (with /etc/issue text)
Comment 1 Jason Tibbitts 2009-06-22 20:26:58 EDT
I can't figure out what this could possibly have to do with amavisd-new.  Reassigning to xorg-x11-drv-nouveau, although it might be better to assign it to kernel.
Comment 2 D. E. Evans 2009-06-22 20:38:58 EDT
(In reply to comment #1)
> I can't figure out what this could possibly have to do with amavisd-new. 
> Reassigning to xorg-x11-drv-nouveau, although it might be better to assign it
> to kernel.  

I must have accidentally mouse scrolled the entry.  My bad.

On a follow up, removing vga=792 works around the problem.
Comment 3 Adam Williamson 2009-07-20 20:33:36 EDT
Does it work with vga=792 before nouveau kicks in (e.g. if you boot to runlevel 3)? If so, do you have the same problem with nv, or the proprietary driver?

Can we get your X logs, just in case they prove useful? Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Adam Williamson 2009-08-18 19:24:23 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 D. E. Evans 2009-08-19 12:48:32 EDT
I currently do not have F11 installed on that system.  Give me a couple of days and I will do so, and provide a response.
Comment 6 D. E. Evans 2009-08-19 17:48:05 EDT
> Does it work with vga=792 before nouveau kicks in

Yes.

> do you have the same problem with nv

No.

> or the proprietary driver?

Not installed.

> Can we get your X logs, just in case they prove useful?

Yes.  I have generated several as follows:

Before yum update (fresh install), nouveau with xinit, nv with Xorg -config /root/xorg.conf.new after Xorg -configure:

Xorg.nouveau.fc11.log
Xorg.nv.fc11-configure.log

After update:

Xorg.nv.fc11-system-config-display.log

I don't include the updated nouveau/nv Xorg.0.log as the behaviour is the same: nouveau has garbled display after X launches, but returns to normal after (or a clear command will fix the garble); nv driver provides black display, but switching between terminals works fine, as does a C-M-Backspace to exit X.  The nv driver works fine with system-config-display (installed to perform the task).

I will also attach the kickstart file used to install the system (T61p Thinkpad) and the /var/log/dmesg file.
Comment 7 D. E. Evans 2009-08-19 17:49:07 EDT
Created attachment 357995 [details]
/var/log/dmesg
Comment 8 D. E. Evans 2009-08-19 17:50:43 EDT
Created attachment 357996 [details]
Kickstart used to install test machine
Comment 9 D. E. Evans 2009-08-19 17:51:38 EDT
Created attachment 357997 [details]
Xorg.0.log upon xinit after install
Comment 10 D. E. Evans 2009-08-19 17:52:30 EDT
Created attachment 357998 [details]
Xorg.0.log after Xorg -confgure: Xorg -config /root/xorg.conf.new
Comment 11 D. E. Evans 2009-08-19 17:54:00 EDT
Created attachment 357999 [details]
Xorg.0.log upon xinit after install, and configure (no options selected: defaults to nv), of system-config-display
Comment 12 Matěj Cepl 2009-11-05 13:32:59 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 13 D. E. Evans 2009-11-30 14:45:59 EST
(In reply to comment #12)
> Since this bugzilla report was filed, there have been several major updates in
> various components of the Xorg system, which may have resolved this issue.

They have indeed, thank you.  Feel free to close this report.
Comment 14 D. E. Evans 2009-11-30 14:47:51 EST
Fedora 12 fixed this bug, for clarification.  It was still present last week, before I upgraded my laptop to FC12.

Note You need to log in before you can comment on or make changes to this bug.